maude_2.7-2_i386.deb


Advertisement

Description

maude - high-performance logical framework

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename maude_2.7-2_i386.deb
Package name maude
Package version 2.7
Package release 2
Package architecture i386
Package type deb
Category universe/science
Homepage http://maude.cs.uiuc.edu
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 775.81 KB
Installed size 2.30 MB
Maude is a high-performance reflective language and system supporting
both equational and rewriting logic specification and programming for
a wide range of applications. Maude has been influenced in important
ways by the OBJ3 language, which can be regarded as an equational
logic sublanguage. Besides supporting equational specification and
programming, Maude also supports rewriting logic computation.
Rewriting logic is a logic of concurrent change that can naturally
deal with state and with concurrent computations. It has good
properties as a general semantic framework for giving executable
semantics to a wide range of languages and models of concurrency. In
particular, it supports very well concurrent object-oriented
computation. The same reasons making rewriting logic a good semantic
framework make it also a good logical framework, that is, a metalogic
in which many other logics can be naturally represented and executed.
Maude supports in a systematic and efficient way logical
reflection. This makes Maude remarkably extensible and powerful,
supports an extensible algebra of module composition operations, and
allows many advanced metaprogramming and metalanguage
applications. Indeed, some of the most interesting applications of
Maude are metalanguage applications, in which Maude is used to create
executable environments for different logics, theorem provers,
languages, and models of computation.
Maude is of interest to the biomedical community for modeling and
analysis of biological systems.

Alternatives

Package Version Architecture Repository
maude_2.7-2_amd64.deb 2.7 amd64 Ubuntu Universe
maude - - -

Requires

Name Value
libbdd0c2 -
libc6 >= 2.16
libgcc1 >= 1:4.2
libgmp10 -
libgmpxx4ldbl -
libsigsegv2 >= 2.9
libstdc++6 >= 5.2
libtecla1 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package maude_2.7-2_i386.deb
Source Package maude

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install maude deb package:
    # sudo apt-get install maude

Files

Path
/usr/bin/maude
/usr/share/doc/maude/changelog.Debian.gz
/usr/share/doc/maude/copyright
/usr/share/man/man1/maude.1.gz
/usr/share/maude/linear.maude
/usr/share/maude/machine-int.maude
/usr/share/maude/metaInterpreter.maude
/usr/share/maude/model-checker.maude
/usr/share/maude/prelude.maude
/usr/share/maude/socket.maude
/usr/share/maude/term-order.maude

Changelog

2016-04-05 - Andreas Tille <tille@debian.org>
maude (2.7-2) unstable; urgency=medium
[ Andreas Tille ]
* Moved packaging from SVN to Git
* cme fix dpkg-control
[ Alexis Bienvenüe]
* Strip build date from banner to get reproducible build.
Closes: #819948
2015-12-16 - Andreas Tille <tille@debian.org>
maude (2.7-1) unstable; urgency=medium
* New upstream version
Closes: #790260
2014-10-02 - Andreas Tille <tille@debian.org>
maude (2.6-6) unstable; urgency=medium
* Fix Build-Dependency after renamed libtecla-dev
Closes: #763694
* cme fix dpkg-control
2014-05-20 - Andreas Tille <tille@debian.org>
maude (2.6-5) unstable; urgency=medium
* move debian/upstream to debian/upstream/metadata
* Three helpful pathces provided by Jakub Wilk to deal with bison
problems - many thanks to Jakub!
Closes: #733407
* cme fix dpkg-control
2013-10-24 - Andreas Tille <tille@debian.org>
maude (2.6-4) unstable; urgency=low
* debian/rules: dh --with autotools_dev
Closes: #727454
2013-07-09 - Andreas Tille <tille@debian.org>
maude (2.6-3) unstable; urgency=low
* renamed debian/upstream-metadata.yaml to debian/upstream
* debian/copyright: cme fix dpkg-copyright
* debian/control:
- cme fix dpkg-control
- debhelper 9
- drop cdbs, quilt from Build-Depends
- Use anonscm in Vcs fields
* debian/rules:
- use short dh instead of cdbs
- fix clean target
2011-11-04 - Andreas Tille <tille@debian.org>
maude (2.6-2) unstable; urgency=low
* Rebuilded after cleaning up
Closes: #643212
* Added myself to Uploaders
* Follow hint of ftpmaster to fix clean target and clean up
src/Mixfix/surface.output
* debian/control:
- Standards-Version: 3.9.2 (no changes needed)
- Fixed Vcs fields
- Drop article 'A' from start of short description
* Debhelper 8 (control+compat)
* debian/copyright: DEP5 compatibility
* debian/upstream-metadata.yaml: citing information
2011-02-10 - Scott Christley <schristley@mac.com>
maude (2.6-1) unstable; urgency=low
* Initial Release. (closes: #611927)

See Also

Package Description
mauve-aligner_2.4.0+4734-3_i386.deb multiple genome alignment
mauve_20161030-1_all.deb free test suite for the Java Class libraries
maven-ant-helper_8.4_all.deb helper scripts for building Maven components with ant
maven-debian-helper_2.3~exp1_all.deb Helper tools for building Debian packages with Maven
maven-repo-helper_1.9.2_all.deb Helper tools for including Maven metadata in Debian packages
maven_3.5.2-2_all.deb Java software project management and comprehension tool
maxima-doc_5.41.0-3_all.deb Computer algebra system -- documentation
maxima-emacs_5.41.0-3_all.deb Computer algebra system -- emacs interface
maxima-sage-doc_5.39.0+ds-3_all.deb Computer algebra system -- documentation
maxima-sage-share_5.39.0+ds-3_all.deb Computer algebra system -- extra code
maxima-sage_5.39.0+ds-3_i386.deb Computer algebra system -- base system
maxima-share_5.41.0-3_all.deb Computer algebra system -- extra code
maxima-src_5.41.0-3_all.deb Computer algebra system -- source code
maxima-test_5.41.0-3_all.deb Computer algebra system -- test suite
maxima_5.41.0-3_i386.deb Computer algebra system -- base system
Advertisement
Advertisement